### Method

# Foundry GitVcs stash

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_git_vcs_stash (
      FoundryGitVcs* self
    )

#### Description [src]

Stashes the current working directory changes.

This method saves the current changes in the working directory to the stash, similar to running “git stash”. The changes are saved with the default stash options.

Available since: 1.1

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryGitCommit` representing the stash commit or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.